# Code to apply any correction method:
# simple bias adjustment
# variance inflation
# quantile mapping

## Which parameter are required?
if ("obs" %in% ls() || is.null(obs)) {
  error(logger, 
        "There is no object 'obs' in the global environment or it is NULL")
}
if (stream == "fcst" && ("fcst" %in% ls() || is.null(fcst))) {
  error(logger, 
        "There is no object 'fcst' in the global environment or it is NULL")
}
if ("hcst" %in% ls() || is.null(hcst)) {
  error(logger, 
        "There is no object 'hcst' in the global environment or it is NULL")
}
if ("method" %in% ls() || is.null(method)) {
  warn(logger,
       "Calibration method not found and it is set as 'SBC'.")
  method <- 'SBC'
}
if (method %in% c('SBC', 'SimpleBiasCorrection')) {
  cal_fun <- "CSTools::Calibration"
  cal_method <- "bias"
} else if (method %in% c("Inflation", "VarianceInflation")) {
  cal_fun <- "CSTools::Calibration"
  cal_method <- "evmos"
} else if (method %in% c("QM", "QuantileMapping")) {
  cal_fun <- "CSTools::QuantileMapping"
} else {
  error(logger, "Unknown calibration method definde in the recipe.")
}
info(logger, paste("#-------------------------- ",
                   " running Calibration module ",
                   " it can call ", cal_fun ))

